Subject: [PATCH] gnu: python-wtforms: Update to 2.3.3.

From: "jgart" <[email-masked]>
Date: Tue, 20 Apr 2021 17:28:47 +0000

Hi Guix,

This is related to 47260.

Attached is a patch for an upgrade to python-wtforms 2.3.3.

Tests are currently disabled in the attached patch. 

I added a when form in the code for when we are ready to enable the tests.

I'm getting the following error when I try to run the tests with tox:

error: [Errno 13] Permission denied: 'WTForms-2.3.3/setup.cfg'

Should I be using make-file-writable on the above or is this a different issue?

I have not been able to successfully run all the tests without using tox manually. 

See the comment I placed in the patch with a link to the github issue that I opened upstream.

Help and/or advice with testing this is much appreciated. 

What is the consensus for using tox with guix?

I see only one other package in the guix source tree that is currently invoking tox and that package is broken: python-funcparserlib.

python-hy is also broken (it depends on python-funcparserlib and fails because of it)

I think Tobias is currently working on those.

all the best,

jgart